aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorJustin chi <chigang@huawei.com>2017-04-05 07:24:37 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-04-05 07:24:37 +0000
commitbd44d452171c1f3a1f979a2543e702841fcbbe60 (patch)
tree3b8d78cfddf7f7101b8c3631a94b62dd62625137 /build.sh
parent0523f8c84d0dd1530c725b08d881653f8522287f (diff)
parent8bc2146293461a619b5c5516a09d2915effbc19f (diff)
Merge "change the package url"
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 3dfd54fd..ab81b8bc 100755
--- a/build.sh
+++ b/build.sh
@@ -21,7 +21,7 @@ WORK_PATH=$COMPASS_PATH
PACKAGES="fuse fuseiso createrepo genisoimage curl"
# PACKAGE_URL will be reset in Jenkins for different branch
-export PACKAGE_URL=${PACKAGE_URL:-http://205.177.226.237:9999}
+export PACKAGE_URL=${PACKAGE_URL:-http://205.177.226.237:9999/master}
mkdir -p $WORK_DIR
@@ -74,6 +74,12 @@ function download_url()
fi
curl --connect-timeout 10 -o $CACHE_DIR/$1 $2
+ local_md5=`md5sum $CACHE_DIR/$1 | cut -d ' ' -f 1`
+ repo_md5=`cat $CACHE_DIR/$1.md5 | cut -d ' ' -f 1`
+ if [[ $local_md5 != $repo_md5 ]]; then
+ echo "ERROR, the md5sum don't match"
+ exit 1
+ fi
}
function download_local()